/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         /* Cantidad de combobox para la actividad, editar su valor si la actividad lo requiere 
         Ej: TotalComboBox = 10;   Se crearan 10 combobox en la composición	
         */
         
         TotalComboBox=15;
         //TAMAÑO DE LA FUENTE
         tamano = "20px";
         colorini = "#000000";
         //Set variables de color
         largo = "250px";
         altura = "30px";
         titulo = "---";
         /* 
         	En este bloque de código se agregan las respuestas según lo indique la actividad.
         	Para agregar mas respuestas en el combobox se tiene en cuenta el formato :
         	    "<option value='4'>Respuesta adicional</option>"
         	Si se agrega al final de las otras respuestas, no lleva coma (,) al terminar
         	y se debe incrementar en uno el valor (value) de la opción o respuesta nueva.
         */
          var select_1 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Con sabor</option>",
         					"<option value='2'>Sin sabor</option>"];
         					sym.setVariable("seleccionar_1", select_1);
         var select_2 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Con olor</option>",
         					"<option value='2'>Sin olor</option>"];
         					sym.setVariable("seleccionar_2", select_2);
         var select_3 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Definida</option>",
         					"<option value='2'>No definida</option>"];
         					sym.setVariable("seleccionar_3", select_3);
         var select_4 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Áspero</option>",
         					"<option value='2'>Liso</option>",
         					"<option value='3'>Rugoso</option>"];
         					sym.setVariable("seleccionar_4", select_4);
         var select_5 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Sólido</option>",
         					"<option value='2'>Liquido</option>",
         					"<option value='3'>Semisólida</option>"];
         					sym.setVariable("seleccionar_5", select_5);
         var select_6 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Con sabor</option>",
         					"<option value='2'>Sin sabor</option>"];
         					sym.setVariable("seleccionar_6", select_6);
         var select_7 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Con olor</option>",
         					"<option value='2'>Sin olor</option>"];
         					sym.setVariable("seleccionar_7", select_7);
         var select_8 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Definida</option>",
         					"<option value='2'>No definida</option>"];
         					sym.setVariable("seleccionar_8", select_8);
         var select_9 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Áspero</option>",
         					"<option value='2'>Liso</option>",
         					"<option value='3'>Rugoso</option>"];
         					sym.setVariable("seleccionar_9", select_9);
         var select_10 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Sólido</option>",
         					"<option value='2'>Liquido</option>",
         					"<option value='3'>Semisólida</option>"];
         					sym.setVariable("seleccionar_10", select_10);
         var select_11 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Con sabor</option>",
         					"<option value='2'>Sin sabor</option>"];
         					sym.setVariable("seleccionar_11", select_11);	
         var select_12 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Con olor</option>",
         					"<option value='2'>Sin olor</option>"];
         					sym.setVariable("seleccionar_12", select_12);
         var select_13 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Definida</option>",
         					"<option value='2'>No definida</option>"];
         					sym.setVariable("seleccionar_13", select_13);
         var select_14 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Áspero</option>",
         					"<option value='2'>Liso</option>",
         					"<option value='3'>Rugoso</option>"];
         					sym.setVariable("seleccionar_14", select_14);	
         var select_15 = ["<option value='0'>"+titulo+"</option>",
         					"<option value='1'>Sólido</option>",
         					"<option value='2'>Liquido</option>",
         					"<option value='3'>Semisólida</option>"];
         					sym.setVariable("seleccionar_15", select_15);	
         //RESPUESTAS CORRECTAS
         sym.setVariable("Respuesta_1", "2");
         sym.setVariable("Respuesta_2", "2");
         sym.setVariable("Respuesta_3", "1");
         sym.setVariable("Respuesta_4", "1");
         sym.setVariable("Respuesta_5", "1");
         sym.setVariable("Respuesta_6", "2");
         sym.setVariable("Respuesta_7", "2");
         sym.setVariable("Respuesta_8", "1");
         sym.setVariable("Respuesta_9", "2");
         sym.setVariable("Respuesta_10","2");
         sym.setVariable("Respuesta_11","2");
         sym.setVariable("Respuesta_12","2");
         sym.setVariable("Respuesta_13","1");
         sym.setVariable("Respuesta_14","2");
         sym.setVariable("Respuesta_15","3");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

   //=========================================================
   
   //Edge symbol: 'bt_validar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar_1");
   //Edge symbol end:'bt_validar_1'

   //=========================================================
   
   //Edge symbol: 'bt_solucion_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion_1");
   //Edge symbol end:'bt_solucion_1'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar_1");
   //Edge symbol end:'bt_reiniciar_1'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda_1");
   //Edge symbol end:'bt_ayuda_1'

   //=========================================================
   
   //Edge symbol: 'eyes_character'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9415, function(sym, e) {
         sym.play("eyes");

      });
      //Edge binding end

   })("eyes_character");
   //Edge symbol end:'eyes_character'

   //=========================================================
   
   //Edge symbol: 'body_character'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("body_character");
   //Edge symbol end:'body_character'

   //=========================================================
   
   //Edge symbol: 'gela_verde'
   (function(symbolName) {   
   
   })("gela_verde");
   //Edge symbol end:'gela_verde'

   //=========================================================
   
   //Edge symbol: 'body_character_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("body_character_3");
   //Edge symbol end:'body_character_3'

   //=========================================================
   
   //Edge symbol: 'eyes_character_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9415, function(sym, e) {
         sym.play("eyes");

      });
      //Edge binding end

   })("eyes_character_1");
   //Edge symbol end:'eyes_character_1'

   //=========================================================
   
   //Edge symbol: 'gela_morado'
   (function(symbolName) {   
   
   })("gela_morado");
   //Edge symbol end:'gela_morado'

   //=========================================================
   
   //Edge symbol: 'eyes_character_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 9415, function(sym, e) {
         sym.play("eyes");

      });
      //Edge binding end

   })("eyes_character_2");
   //Edge symbol end:'eyes_character_2'

   //=========================================================
   
   //Edge symbol: 'body_character_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("body_character_2");
   //Edge symbol end:'body_character_2'

   //=========================================================
   
   //Edge symbol: 'gela_red'
   (function(symbolName) {   
   
   })("gela_red");
   //Edge symbol end:'gela_red'

})(jQuery, AdobeEdge, "EDGE-3785112");